View Issue Details

IDProjectCategoryView StatusLast Update
0037774pas2jsrtlpublic2020-10-06 13:18
Reporterhenrique Assigned ToMichael Van Canneyt  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformPas2JsOSWindows 
Fixed in Versiontrunk 
Summary0037774: TValue.Empty
DescriptionAdded the empty function to TValue for Delphi compatibility.
TagsNo tags attached.
Fixed in Revision885
Attached Files

Activities

henrique

2020-09-18 20:36

reporter  

TValue.patch (235 bytes)   
diff -r packages/rtl/rtti.pas (4734cf4c) packages/rtl/rtti.pas (Working Tree)
65a66
>     class function Empty: TValue; static;
714a716,720
> class function TValue.Empty: TValue;
> begin
>   Result.FTypeInfo := nil;
> end;
> 
TValue.patch (235 bytes)   

Michael Van Canneyt

2020-10-06 10:24

administrator   ~0126107

This was applied some time ago, just forgot to set bug to resolved...
Thanks for the patch.

Issue History

Date Modified Username Field Change
2020-09-18 20:36 henrique New Issue
2020-09-18 20:36 henrique File Added: TValue.patch
2020-09-19 09:43 Michael Van Canneyt Assigned To => Michael Van Canneyt
2020-09-19 09:43 Michael Van Canneyt Status new => assigned
2020-10-06 10:24 Michael Van Canneyt Status assigned => resolved
2020-10-06 10:24 Michael Van Canneyt Resolution open => fixed
2020-10-06 10:24 Michael Van Canneyt Fixed in Version => trunk
2020-10-06 10:24 Michael Van Canneyt Fixed in Revision => 885
2020-10-06 10:24 Michael Van Canneyt Note Added: 0126107